
/*CODE_BLOCK_BEGIN[CAN001_Conf.h]*/
/**************************************************************************//**
 *
 * Copyright (C) 2011 Infineon Technologies AG. All rights reserved.
 *
 * Infineon Technologies AG (Infineon) is supplying this software for use with 
 * Infineon's microcontrollers.  
 * This file can be freely distributed within development tools that are 
 * supporting such microcontrollers. 
 *
 * THIS SOFTWARE IS PROVIDED "AS IS".  NO WARRANTIES, WHETHER EXPRESS, IMPLIED
 * OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
 * INFINEON SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL, 
 * OR CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *
********************************************************************************
**                                                                            **
**                                                                            **
** PLATFORM : Infineon XMC4000 Series   			                          **
**                                                                            **
** COMPILER : Compiler Independent                                            **
**                                                                            **
** AUTHOR   : App Developer                                                   **
**                                                                            **
** MAY BE CHANGED BY USER [yes/no]: Yes                                       **
**                                                                            **
**                                                                            **
*******************************************************************************/

/**
 * @file CAN001_Conf.h
 * 
 * @App Version CAN001 <1.0.8> 
 * @brief  CAN001 App Handle declaration based on UI selection.
 *
 */
 
 #ifndef CONF_CAN001_H_
 #define CONF_CAN001_H_
 
#include <DAVE3.h>

extern const CAN001_HandleType CAN001_Handle0;
extern CAN001_MessageHandleType CAN001_MessageHandle0_1;
extern CAN001_MessageHandleType CAN001_MessageHandle0_2;
extern CAN001_MessageHandleType CAN001_MessageHandle0_3;
extern CAN001_MessageHandleType CAN001_MessageHandle0_4;               
extern const CAN001_HandleType CAN001_Handle1;
extern CAN001_MessageHandleType CAN001_MessageHandle1_1;
extern CAN001_MessageHandleType CAN001_MessageHandle1_2;
extern CAN001_MessageHandleType CAN001_MessageHandle1_3;
extern CAN001_MessageHandleType CAN001_MessageHandle1_4;
extern CAN001_MessageHandleType CAN001_MessageHandle1_5;
extern CAN001_MessageHandleType CAN001_MessageHandle1_6;               

/* Macro to access node0 registers */
#define CAN001_Handle0_NODE   CAN_NODE0
/* Macro to access Node0 LMO1 register */
#define CAN001_Handle0_NODE_LMO1 CAN_MO0 
/* Macro to access Node0 LMO2 register */
#define CAN001_Handle0_NODE_LMO2 CAN_MO1 
/* Macro to access Node0 LMO3 register */
#define CAN001_Handle0_NODE_LMO3 CAN_MO2 
/* Macro to access Node0 LMO4 register */
#define CAN001_Handle0_NODE_LMO4 CAN_MO3 
/* Macro to access node1 registers */
#define CAN001_Handle1_NODE   CAN_NODE1
/* Macro to access Node1 LMO1 register */
#define CAN001_Handle1_NODE_LMO1 CAN_MO10 
/* Macro to access Node1 LMO2 register */
#define CAN001_Handle1_NODE_LMO2 CAN_MO11 
/* Macro to access Node1 LMO3 register */
#define CAN001_Handle1_NODE_LMO3 CAN_MO12 
/* Macro to access Node1 LMO4 register */
#define CAN001_Handle1_NODE_LMO4 CAN_MO13 
/* Macro to access Node1 LMO5 register */
#define CAN001_Handle1_NODE_LMO5 CAN_MO14 
/* Macro to access Node1 LMO6 register */
#define CAN001_Handle1_NODE_LMO6 CAN_MO15 

#endif

/*CODE_BLOCK_END*/ 


