/*
 * Main.c
 *
 *  Created on: 19.09.2013
 *      Author: SunYajun
 */





#include <DAVE3.h>			//Declarations from DAVE3 Code Generation (includes SFR declaration)
uint16_t uwCAN0_Alert_Count, uwCAN1_Alert_Count;
uint32_t ulCAN0_NSR[10], ulCAN0_NCR[10], ulCAN1_NSR[10], ulCAN1_NCR[10];
uint16_t uwCAN1_RxFIFO_OverInt, uwCAN0_TxFIFO_OverInt;
CAN001_MessageHandleType CAN1_RXCanRecMsgObj[6];
uint8_t  ST_status;

void CAN1_ALERT(void) // CAN.SR0 --> INT_76
{
while(1);
}
void CAN0_ALERT(void)// CAN.SR1 --> INT_77
{
	while(1);
}
void CAN1_RxFIFO_OverInt(void)// CAN.SR7 --> INT_83
{
	uwCAN1_RxFIFO_OverInt++;  // RxFIFO-overINT ==>4x CAN frame have been received
	ST_status= CAN001_ReadMsgObj(&CAN001_Handle1, &CAN1_RXCanRecMsgObj[0], 1); // read DAVE_MO_1
	ST_status= CAN001_ReadMsgObj(&CAN001_Handle1, &CAN1_RXCanRecMsgObj[1], 2); // read DAVE_MO_2
	ST_status= CAN001_ReadMsgObj(&CAN001_Handle1, &CAN1_RXCanRecMsgObj[2], 3); // read DAVE_MO_3
	ST_status= CAN001_ReadMsgObj(&CAN001_Handle1, &CAN1_RXCanRecMsgObj[3], 4); // read DAVE_MO_4
}
void CAN0_TxFIFO_OverInt(void)// CAN.SR6 --> INT_82
{
	uint16_t i;

	uwCAN0_TxFIFO_OverInt++;
    for (i=0; i<0xFFF0; i++);
    for (i=0; i<0xFFF0; i++);

}

int main(void)
{
//	status_t status;		// Declaration of return variable for DAVE3 APIs (toggle comment if required)
    uint8_t Data_1[8] = {0x11,0x11,0x11,0x44,0x02,0x00,0x33,0x00};
    uint8_t Data_2[8] = {0xaa,0xaa,0xaa,0x00,0x02,0x00,0x33,0x00};
    uint8_t Data_3[8] = {0x22,0x22,0x22,0x00,0x02,0x00,0x33,0x00};
    uint8_t Data_4[8] = {0xbb,0xbb,0xbb,0x00,0x02,0x00,0x33,0x00};
	uint16_t i;


	DAVE_Init();			// Initialization of DAVE Apps
	// CAN0 and CAN1 1000K, loop back mode

	////// reconfiguration for RxFIFO
	//CAN_MO10->MOCTR = 0x0000080;  // MO10_RxFIFO base object the RXEN must be enabled (done in DAVE)
	CAN_MO11->MOCTR = 0x0000080;  // reset RXEN in RxFIFO slave object, so that all Rx goes through Rx_base,
	CAN_MO12->MOCTR = 0x0000080;  // reset RXEN in RxFIFO slave object, so that all Rx goes through Rx_base,
	CAN_MO13->MOCTR = 0x0000080;  // reset RXEN in RxFIFO slave object, so that all Rx goes through Rx_base,
	CAN_MO14->MOCTR = 0x0000080;  // reset RXEN in RxFIFO slave object, so that all Rx goes through Rx_base,
	CAN_MO15->MOCTR = 0x0000080;  // reset RXEN in RxFIFO slave object, so that all Rx goes through Rx_base,
	                  // SEL    CUR      TOP      BOT
	CAN_MO10->MOFGPR = (14<<24) | (10<<16)| (15<<8)| (10<<0); // SEL=10 for RxFIFO over INT
	CAN_MO11->MOFGPR = (0<<24) | (10<<16)| (0<<8)| (0<<0);  // all slave CUR must point to base
	CAN_MO12->MOFGPR = (0<<24) | (10<<16)| (0<<8)| (0<<0);
	CAN_MO13->MOFGPR = (0<<24) | (10<<16)| (0<<8)| (0<<0);
	CAN_MO14->MOFGPR = (0<<24) | (10<<16)| (0<<8)| (0<<0);
	CAN_MO15->MOFGPR = (0<<24) | (10<<16)| (0<<0)| (0<<0);
	                   //OVIE      MMC
	CAN_MO10->MOFCR |= (1<<18) | (1<<0); // RxFIFO base MMC=1 OVIE=1: RxFIFO_CUR=10--> 10/11/12/13/14/15 has been filled ->INT
	CAN_MO11->MOFCR |= (0<<24) | (0<<0); // RxFIFO slave MMC=0
	CAN_MO12->MOFCR |= (0<<24) | (0<<0);
	CAN_MO13->MOFCR |= (0<<24) | (0<<0);
	CAN_MO14->MOFCR |= (0<<24) | (0<<0);
	CAN_MO15->MOFCR |= (0<<24) | (0<<0);
						// TXINP   RXINP
	CAN_MO10->MOIPR |= (7<<4) | (0<<0); // RxFIFO overflow INT point uses TXINP --> INT_O7

	// transmit test
	    ST_status=CAN001_UpdateMODataRegisters(&CAN001_Handle0,1,8,Data_1);// only allowed for DIR=1 MSG
	    while (ST_status); // error
	    //CAN_MO0->MOCTR |= 0x07200000; // set TxRQ, TXEN0, TXEN1, MSGVAL
	    ST_status= CAN001_SendDataFrame(&CAN001_Handle0,1); // only for DIR=1, MSGVAl=1 and TxRQ not busy

	    while (CAN_MO0->MOSTAT & 0x00000100); // wait until TxRQ->0
	    ST_status=CAN001_UpdateMODataRegisters(&CAN001_Handle0,1,8,Data_2);// only allowed for DIR=1 MSG
	    while (ST_status); // error
	    ST_status= CAN001_SendDataFrame(&CAN001_Handle0,1); // only for DIR=1, MSGVAl=1 and TxRQ not busy
	    while (ST_status); // error

	    while (CAN_MO0->MOSTAT & 0x00000100); // wait until TxRQ->0
	    ST_status=CAN001_UpdateMODataRegisters(&CAN001_Handle0,1,8,Data_3);// only allowed for DIR=1 MSG
	    while (ST_status); // error
	    ST_status= CAN001_SendDataFrame(&CAN001_Handle0,1); // only for DIR=1, MSGVAl=1 and TxRQ not busy
	    while (ST_status); // error

	    while (CAN_MO0->MOSTAT & 0x00000100); // wait until TxRQ->0
	    ST_status=CAN001_UpdateMODataRegisters(&CAN001_Handle0,1,8,Data_4);// only allowed for DIR=1 MSG
	    while (ST_status); // error
	    ST_status= CAN001_SendDataFrame(&CAN001_Handle0,1); // only for DIR=1, MSGVAl=1 and TxRQ not busy
	    while (ST_status); // error
 // wait for RxFIFO overflow INT

	while(1)
	{

	}
	return 0;
}
